Bug 188539 - Update kuickshow for KDE 4
Summary: Update kuickshow for KDE 4
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kuickshow
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Unspecified
: NOR wishlist with 101 votes (vote)
Target Milestone: ---
Assignee: Carsten Pfeiffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-31 13:48 UTC by Tristan Miller
Modified: 2015-02-06 12:27 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2009-03-31 13:48:49 UTC
Version:            (using KDE 3.5.10)
Installed from:    SuSE RPMs

Please release a version of Kuickshow for KDE 4.  I find it a much better image viewer than Gwenview, which takes up too much screen real estate and takes too long to launch.
Comment 1 Carsten Pfeiffer 2009-04-16 23:01:54 UTC
I'm working on it. The current version in svn still has a few minor problems, but is already usable.
Comment 2 Carsten Pfeiffer 2009-04-23 21:47:39 UTC
The current version in svn is about as useful as the last version for KDE 3, so I'm closing this bug. There is no official release yet, that will follow soon.
Comment 3 Richard Hartmann 2009-07-16 03:08:14 UTC
Is there any update on this? Especially wrt imlib1.
Comment 4 ssmail1398-bug 2009-08-13 16:09:38 UTC
Still no official release ? Given binary packaged for fedora10 or opensuse I can help testing
Comment 5 Carsten Pfeiffer 2009-08-13 21:44:35 UTC
I had thought that stable extragear apps would be automatically released with a KDE release, but maybe I was wrong. I'll make a separate release, then.
Comment 6 Richard Hartmann 2009-08-14 01:03:48 UTC
Thanks!
Comment 7 Janet 2009-09-05 17:37:42 UTC
*** This bug has been confirmed by popular vote. ***
Comment 8 Richard Hartmann 2009-10-08 02:25:24 UTC
Are you planning to mark this for inclusion in KDE 4.4?
Comment 9 Carsten Pfeiffer 2009-10-08 21:06:50 UTC
I have found out that kuickshow is already released regularly with every KDE release. As far as I understand, there is just no announcement and no page listing all those extragear packages.

The link to the latest release is ftp://ftp.kde.org/pub/kde/stable/4.3.2/src/extragear/kuickshow-0.9.1-kde4.3.2.tar.bz2

I updated userbase.kde.org/kuickshow with download instructions.

What's left is binary packages... The OpenSUSE Buildservice wasn't very helpful up to now -- I didn't manage to create any RPMs with it yet.
Comment 10 Richard Hartmann 2009-10-08 21:39:31 UTC
It seems at least Debian is not intending to package kuickshow. Maybe you could poke them and talk about any issues? It seems that one major thing is that imlib1 has been removed from Debian, recently...

Again, thanks for all your work!
Comment 11 Carsten Pfeiffer 2009-10-08 22:19:10 UTC
I know about Debian. I intend on packaging Imlib1 with KuickShow, i.e. linking statically to it. That would make it easier for distributions.

For that, Imlib1 needs to be ported from autoconf/automake to cmake. The plan is to have a subdirectory "imlib" in the "kuickshow" directory in extragear-svn and compiling that before kuickshow's "src" directory. 

We can even ditch the GTK/GDK stuff, because KuickShow only uses the xlib version of Imlib.

Any help on porting Imlib to cmake is appreciated :-)
Comment 12 ssmail1398-bug 2009-10-14 01:42:55 UTC
Did not find a kuickshow-0.9.1-kde4.3.2.tar.bz2 but *kde4.3.1* instead. Then followed your instructions on userbase (imlib already in suse so I skipped that part). Works like charm on openoffice 10.3 with kde4.3.2. As fast and responsive as the kde3 version with beautiful display of the pictures. With this I'll make the switch to kde4.

Thank's a lot.
Comment 13 Tristan Miller 2009-11-27 17:00:19 UTC
I have a filed a feature request on the Novell Bugzilla asking that kuickshow be packaged with their KDE 4 distribution: https://bugzilla.novell.com/show_bug.cgi?id=558894
Comment 14 Tristan Miller 2009-12-03 15:24:58 UTC
Update: openSUSE uses a separate bug tracker, openFATE, for feature requests, including requests for packages.  See openFATE issue #308428: https://features.opensuse.org/308428

Given Comment #9, can we mark this as RESOLVED FIXED now?  Or does more work need to be done?
Comment 15 Carsten Pfeiffer 2009-12-06 20:11:09 UTC
You're right, it can e closed by now.

Regarding comment 13, a while ago I tried using the OpenSUSE buildservice to create Imlib1 packages and then kuickshow, but failed so far. I couldn't find any information about how to get access to the actual files on the buildserver, which makes it kinda hard to find out which files/dependencies are missing.

I'd prefer to have an official SUSE package of course.

My second option would be to statically link Imlib1 to kuickshow and add it the the kuickshow svn repository. For that, Imlib1 must be ported to cmake though, which I haven't done yet.

Help would be welcome :-)
Comment 16 Carsten Pfeiffer 2009-12-06 20:11:45 UTC
Fixed.
Comment 17 Janet 2010-04-18 18:10:24 UTC
I guess even if you package imlib1 with kuickshow Debian wouldn't include it. Any chance of porting to a current imlib?
Comment 18 Richard Hartmann 2010-04-18 19:09:52 UTC
This is not exactly relevant to kuickshow, but geeqie comes somewhat close to kuickshow and is available on many if not most distributions.
Comment 19 Carsten Pfeiffer 2010-04-18 21:27:56 UTC
There is no "current" imlib. There is imlib2, but it doesn't have much in common with imlib1. I.e. it doesn't have same the functionality that imlib1 provides, nor the performance of imlib1.
Comment 20 Janet 2010-04-19 12:36:51 UTC
@Carsten Pfeiffer: Thanks for pointing that out, I thought imlib2 is the successor of imlib1 with just more features...

@Richard Hartmann: Thanks for mentioning geeqie, but it doesn't have the features why I prefer kuickshow to all other image viewers: tight fit window around the picture, without any sidebars, which adapts to the picture size.
Comment 21 Peter Paulsen 2010-08-13 16:05:41 UTC
In the eyes of Debian imlib2 *is* the successor of imlib1. It maybe would help if imlib1, stripped down to xlib version, gets forked with another name...?

As a Debian user I'd also be very much interested in a kuickshow version based on imlib2, even if it would lack some features, as long as it retains the feature to adapt to the picture size and has no fixed window size and nothing around the picture. And as long as I can toggle between full size/best fit and fullscreen/window and delete shown pictures.
Comment 22 Richard Hartmann 2010-08-13 16:11:04 UTC
Another important feature: Speed. Having a borderless picture pop up with nothing around it helps a lot to save screen real estate and just review photos quickly.

I have 3.5.10 at work and my Grand List Of Applications I Miss at home has dwindled to one: kuickshow. Same for my gf.

Carsten, what do you think of Peter's suggestion?

Fwiw, if you are ever in/near Munich, I owe you beer. Two beers if kuickshow is in KDE 4 proper by that time.
Comment 23 Tristan Miller 2010-08-15 22:38:17 UTC
Regarding Comment #9, the instructions at http://userbase.kde.org/KuickShow don't work.  The "Availability" section tells users to get the source tarball from ftp://ftp.kde.org/pub/kde/stable/4.x.y/src/extragear/kuickshow-0.9.1-kde4.x.y.tar.bz2, where 4.x.y is the KDE version.  However, there is no kuickshow tarball in any of the 4.x.y trees.
Comment 24 Carsten Pfeiffer 2010-08-17 14:37:25 UTC
Am Sonntag, 15. August 2010 schrieb Tristan Miller:

Maybe the extragear infrastructure could be improved a bit in that regard. I'd 
like to have stable URLs for the extragear releases. I.e. something like
ftp://ftp.kde.org/pub/kde/stable/4.4.2/src/extragear/kuickshow-0.9.1.tar.bz2
for releases built against KDE 4.4.2. 
And additionally a "latest" link, e.g.
ftp://ftp.kde.org/pub/kde/stable/latest/src/extragear/kuickshow-0.9.1.tar.bz2
that always points to the release that was built against the latest stable KDE 
release.

I'll try to provide you with a working URL soon.

> 2010-08-15 22:38:17 --- Regarding Comment #9, the instructions at
> http://userbase.kde.org/KuickShow don't work.  The "Availability" section
> tells users to get the source tarball from
> ftp://ftp.kde.org/pub/kde/stable/4.x.y/src/extragear/kuickshow-0.9.1-kde4.x
> .y.tar.bz2, where 4.x.y is the KDE version.  However, there is no kuickshow
> tarball in any of the 4.x.y trees.

Cheers,
Carsten
Comment 25 Carsten Pfeiffer 2010-08-19 22:15:56 UTC
(In reply to comment #21)
> It maybe would help
> if imlib1, stripped down to xlib version, gets forked with another name...?

Yes, yes, yes! I even mailed Raster (the author of Imlib) a while ago and he supported that idea. We just need someone to do it :-} We could even build a static lib and directly KuickShow to it, so there needn't be a Debian package for the separate lib.

> As a Debian user I'd also be very much interested in a kuickshow version based
> on imlib2, even if it would lack some features, as long as it retains the
> feature to adapt to the picture size and has no fixed window size and nothing
> around the picture. And as long as I can toggle between full size/best fit and
> fullscreen/window and delete shown pictures.

Unfortunately there's more problems with Imlib2:
- it is slower than Imlib1 (at least that part that Kuickshow uses)
- its API is rather painful (at least it was ages ago -- not sure if it has changed)

It would be way more work to port to Imlib2 than to make a separate library off Imlib1's xlib version, and the result would be slower than the Imlib1 version.
Comment 26 Helio Chissini de Castro 2010-08-21 04:32:38 UTC
Em Terça-feira 17 Agosto 2010, às 09:40:09, você escreveu:
> Am Sonntag, 15. August 2010 schrieb Tristan Miller:
> 
> Maybe the extragear infrastructure could be improved a bit in that regard. I'd 
> like to have stable URLs for the extragear releases. I.e. something like
> ftp://ftp.kde.org/pub/kde/stable/4.4.2/src/extragear/kuickshow-0.9.1.tar.bz2
> for releases built against KDE 4.4.2. 
> And additionally a "latest" link, e.g.
> ftp://ftp.kde.org/pub/kde/stable/latest/src/extragear/kuickshow-0.9.1.tar.bz2
> that always points to the release that was built against the latest stable KDE 
> release.
> 
> I'll try to provide you with a working URL soon.
> 
> > 2010-08-15 22:38:17 --- Regarding Comment #9, the instructions at
> > http://userbase.kde.org/KuickShow don't work.  The "Availability" section
> > tells users to get the source tarball from
> > ftp://ftp.kde.org/pub/kde/stable/4.x.y/src/extragear/kuickshow-0.9.1-kde4.x
> > .y.tar.bz2, where 4.x.y is the KDE version.  However, there is no kuickshow
> > tarball in any of the 4.x.y trees.
> 
> Cheers,
> Carsten
> 

I'm patient and waiting Git
Then we should decide how to act.
But the future now is tons of gourad shader :-)
Comment 27 Carsten Pfeiffer 2010-09-19 21:29:28 UTC
FWIW, I returned from vacation and used the createtarball script to create a source package for kuickshow. The package is linked from userbase.kde.org/kuickshow, for your convenience, here is the direct download link: http://hosti.leonde.de/~gis/kuickshow-0.9.1.tar.bz2

Unfortunately on my own system (Debian unstable with nvidia drivers), kuickshow only shows garbage instead of the images :-( I'm not sure if it's a problem of Imlib, KuickShow or the nvidia driver.
Comment 28 Richard Hartmann 2010-09-19 22:00:41 UTC
FWIW, Kde 4.5.x and the closed nvidia drivers don't cooperate too well. I have various display bugs ever since I upgraded from 4.4.5.
Comment 29 Janet 2010-09-19 22:53:19 UTC
I also use Debian unstable, KDE 4.5.1 from experimental-snapshots and closed source nvidia driver and don't have display problems. I use imlib11 1.9.15-7 from stable.
Comment 30 Tristan Miller 2010-09-21 17:58:52 UTC
I have raised a separate bug report for the nvidia driver incompatibility issue:  Bug 251960
Comment 31 Janet 2010-09-21 20:32:39 UTC
Maybe that nvidia problem should be reported to nvidia?
Comment 32 Christoph Feck 2015-02-06 12:27:20 UTC
Thanks for your bug report or feature request.

The Kuickshow application is no longer maintained, and all open tickets are now closed.
See also http://websvn.kde.org/?view=revision&revision=1383834